Measurements
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
fromDatestring · date-timeRequired
quantitynumber · doubleOptional
tagstring · nullableOptional
validateDatabooleanOptional
Responses
201
Created
No content
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
post/Measurements
POST /Measurements HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 223
{
"account": "A-000001",
"order": "O-000001",
"product": "OP-000001",
"charge": "OPC-000001",
"fromDate": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"tag": "text",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"validateData": true
}No content
get
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Query parameters
Skipinteger · int32OptionalExample:
Skip number of records
10Takeinteger · int32OptionalExample:
Take number of records
5FilterstringOptionalExample:
Filter the resulsts. See ODATA documentation for more information
name eq 'Adam' and age gt 20SortstringOptionalExample:
Sorting the results. See ODATA specificaion for more information
nameHeader parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuid · nullableOptional
importDatestring · date-timeOptional
fromDatestring · date-timeOptional
quantitynumber · doubleOptional
tagstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
get/Measurements
GET /Measurements HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"product": {
"description": "text",
"productNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"importDate": "2026-01-01T00:00:00.000Z",
"fromDate": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"tag": "text",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}
]Import measurement Data in csv or json format.
Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
mappingTemplateNamestring · min: 1Required
dateFormatstring · nullableOptional
decimalSeparatorstring · nullableOptional
dataFormatstring · nullableOptional
batchNamestring · nullableOptional
dataanyRequired
usePreprocessingRulesbooleanOptional
allowDuplicateEntriesbooleanOptional
breakOnValidationErrorbooleanOptional
Responses
200
Success
application/json
importDataTypestring · nullableOptional
batchIdstring · uuid · nullableOptional
hasErrorsbooleanOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
post/Measurements/import
POST /Measurements/import HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 215
{
"mappingTemplateName": "text",
"dateFormat": "text",
"decimalSeparator": "text",
"dataFormat": "text",
"batchName": "text",
"data": null,
"usePreprocessingRules": true,
"allowDuplicateEntries": true,
"breakOnValidationError": true
}{
"importDataType": "text",
"batchId": "123e4567-e89b-12d3-a456-426614174000",
"hasErrors": true,
"errors": []
}Required scopes
This endpoint requires the following scopes:
- : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200
Success
application/json
idstring · uuid · nullableOptional
importDatestring · date-timeOptional
fromDatestring · date-timeOptional
quantitynumber · doubleOptional
tagstring · nullableOptional
createdstring · date-timeOptional
modifiedstring · date-timeOptional
400
Bad Request.
application/json
401
Unauthorized
403
Forbidden
404
Not Found
application/json
get/Measurements/{id}
GET /Measurements/{id} HTTP/1.1
Host: api.sandbox.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"account": {
"name": "text",
"accountNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"order": {
"orderNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"product": {
"description": "text",
"productNumber": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"charge": {
"name": "text",
"chargeNumber": "OPC-000001",
"description": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalERPId": "text",
"externalCRMId": "text"
},
"importDate": "2026-01-01T00:00:00.000Z",
"fromDate": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"tag": "text",
"created": "2026-01-01T00:00:00.000Z",
"modified": "2026-01-01T00:00:00.000Z",
"customFields": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}Last updated